<!DOCTYPE html>
<html>

<head>
  <title>Courses CRUD</title>
  <meta charset="UTF-8">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body>
  <!-- Vùng header -->
  <div class="container-fluid	">
    <div class="text-center">
      <h2>Danh sách courses</h2>
    </div>
    <div class="form-group">
      <button class="btn btn-success" id="add-courses">Add courses</button>
    </div>
  </div>
  <!-- Courses Data Table -->
  <div class="container-fluid main">
    <div class="toast" id="myToast" role="alert" style="position: fixed; top: 0; right: 0; width: 300px;"  data-delay="3000">
      <div class="toast-header">
        <strong class="mr-auto">My App</strong>
        <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="toast-body">
        This is a toast message.
      </div>
    </div>
    <table class="table table-bordered table-striped table-hover" id="courses-table">
      <thead>
        <tr class="text-center">
          <th>Id</th>
     
          <th>Courses Name</th>
          <th>Price</th>
          <th>Discount Price</th>
          <th>Duration</th>
          <th>Level</th>
          <th>Cover Image</th>
          <th>Teacher Name</th>
          <th>Teacher Photo</th>
          <th>isPopular</th>
          <th>isTrending</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody></tbody>
    </table>
  </div>
  
  
  <div>
    <div class="modal fade" id="course-modal" tabindex="-1" role="dialog" aria-labelledby="course-modal-label" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="course-modal-label">Add/Update Course</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form id="course-form">
              <div class="form-group">
                <label for="course-name" class="col-form-label">Course Name:</label>
                <input type="text" class="form-control" id="course-name">
              </div>
              <div class="form-group">
                <label for="course-code" class="col-form-label">Course Code:</label>
                <input type="text" class="form-control" id="course-code">
              </div>
              <div class="form-group">
                <label for="course-duration" class="col-form-label">Duration:</label>
                <input type="text" class="form-control" id="course-duration">
              </div>
              <div class="form-group">
                <label for="course-price" class="col-form-label">Price:</label>
                <input type="number" class="form-control" id="course-price">
              </div>
              <div class="form-group">
                <label for="course-discount" class="col-form-label">Discount Price:</label>
                <input type="number" class="form-control" id="course-discount">
              </div>
              <div class="form-group">
                <label for="course-level" class="col-form-label">Level:</label>
                <select class="form-control" id="course-level">
                  <option value="beginner">Beginner</option>
                  <option value="intermediate">Intermediate</option>
                  <option value="advanced">Advanced</option>
                </select>
              </div>
              <div class="form-group">
                <label for="course-cover" class="col-form-label">Cover Image URL:</label>
                <input type="text" class="form-control" id="course-cover">
              </div>
              <div class="form-group">
                <label for="teacher-name" class="col-form-label">Teacher Name:</label>
                <input type="text" class="form-control" id="teacher-name">
              </div>

              <div class="form-group">
                <label for="teacher-image" class="col-form-label">Teacher Image URL:</label>
                <input type="text" class="form-control" id="teacher-image">
              </div>
              <div class="form-group d-flex">
                <div class="form-group d-flex align-items-center ">
                  <label for="isTrending" class="col-form-label mr-3">Is Trending:</label>
                  <div class="form-check form-check-inline">
                    <input type="checkbox" class="form-check-input" id="isTrending"  style="width: 20px; height: 20px;">
                  </div>
                </div>
                <div class="form-group d-flex align-items-center">
                  <label for="isPopular" class="col-form-label mr-3">Is Popular:</label>
                  <div class="form-check form-check-inline">
                    <input type="checkbox" class="form-check-input" id="isPopular" style="width: 20px; height: 20px;">
                  </div>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            <button type="button" class="btn btn-primary" id="submit-form">Save changes</button>
          </div>
        </div>
      </div>
    </div>
  </div>
 
  <!-- Delete confirm modal -->
  <div class="modal fade" id="deleteCourseModal" tabindex="-1" role="dialog" aria-labelledby="deleteCourseModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="deleteCourseModalLabel">Delete Course?</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          Are you sure you want to delete this course?
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
          <button type="button" class="btn btn-danger" id="deleteCourseBtn">Delete</button>
        </div>
      </div>
    </div>
  </div>
  <script type="module" src="CRUDScript.js"></script>

</body>


</html>